Timekit developers

POST /meetings

Meetings are "abstracted" calendar events with an undecided start and end time. It's used in the scheduling process and can result in an actual event when a suggested time is decided on by the participants.

Picture meetings as events that live outside account calendars (Google) and are native to Timekit.

Suggestions should look like this:

Suggestions

json
suggestions: [
  {
  	'start': '2015-05-30T12:00:00Z',
    'end': '2015-05-30T13:00:00Z',
  },
  {
  	'start': '2015-05-29T12:00:00Z',
    'end': '2015-05-29T13:00:00Z',
  },
]

Here's an explanation of the different status values:

status_code status_text explanation
100 COMPLETED Meeting has been booked and event is in the past
200 SCHEDULED Meeting has been booked and is in the future
300 PENDING Meeting has been created but not yet booked/scheduled

Endpoint

POST https://api.timekit.io/v2/meetings

Parameters

Name In Type Required Default Description
what string yes What is the meeting about
where string yes Location of the meeting (geo-friendly format)
suggestions array_mixed yes Array with suggestion objects, see below

Response examples

201

json
{
  "data": {
    "id": "16d28609-5663-4322-a7c2-f7bbf3566800",
    "what": "Travel back to the future",
    "where": "Hill Valley Clock Tower",
    "completed": false,
    "status_text": "PENDING",
    "status_code": 300,
    "start": null,
    "end": null,
    "suggestions": [{
      "id": 1,
      "start": "1955-11-06 18:30:00",
      "end": "1955-11-06 19:00:00"
    }, {
      "id": 2,
      "start": "1955-11-12 22:04:00",
      "end": "1955-11-12 22:34:00"
    }, {
      "id": 3,
      "start": "1955-11-18 09:15:00",
      "end": "1955-11-18 09:45:00"
    }]
  }
}

422

json
{
	'error': 'Invalid fields supplied'
}

401

json
{
	'error': 'Unauthorized access, please login'
}